com.avaya.deskphoneservices

## Enum HandsetType

- java.lang.Object
- - java.lang.Enum<HandsetType>
  - - com.avaya.deskphoneservices.HandsetType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HandsetType>

      public enum HandsetType
      extends java.lang.Enum<HandsetType>

  Enumerated type for the possible source of off-hook and on-hook events for Vantage.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CORDLESS_HANDSET` The Vantage cordless handset.
    `WIRED_HANDSET` The Vantage wired handset.
    `WIRED_HEADSET` A third-party headset connected via the RJ9 jack.
    `WIRED_USB_HEADSET` A third-party headset connected via the USB port.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HandsetType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HandsetType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CORDLESS_HANDSET

          public static final HandsetType CORDLESS_HANDSET

      The Vantage cordless handset.

    - #### WIRED_HANDSET

          public static final HandsetType WIRED_HANDSET

      The Vantage wired handset.

    - #### WIRED_HEADSET

          public static final HandsetType WIRED_HEADSET

      A third-party headset connected via the RJ9 jack.

    - #### WIRED_USB_HEADSET

          public static final HandsetType WIRED_USB_HEADSET

      A third-party headset connected via the USB port.

  - ### Method Detail

    - #### values

          public static HandsetType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HandsetType c : HandsetType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HandsetType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null